/**
 * Created by Tony on 2017/5/4.
 * 工料机的总库，根据不同定额库分类，参考原gljList表
 */
let mongoose = require("mongoose");

var gljClassSchema = mongoose.Schema({
    repositoryId: Number,
    ID: Number,
    ParentID: Number,
    NextSiblingID: Number,
    Name: String,
    isDeleted: Boolean
});

var gljSchema = mongoose.Schema({
    repositoryId: Number,
    ID:Number,
    //以下是基于已有access库
    code: String,
    name: String,
    specs: String,
    unit: String,
    shortName: String,
    basePrice: Number,
    gljClass: Number, //这个是UI显示上的详细分类，对应gljTypeSchema
    gljType: Number  //人工，材料，机械
});
mongoose.model("std_ration_lib_glj_type",gljClassSchema, "std_ration_lib_glj_type");
mongoose.model("std_ration_lib_glj_list",gljSchema, "std_ration_lib_glj_list");
